#include <qlabel.h>

class Rule;
class Garden;

class CraftButton :
	public QLabel
{
	Q_OBJECT

public:
	CraftButton( QWidget* parent, Rule* r );
	~CraftButton(void);

	Rule* rule;
	Garden* garden;

protected:
	void mousePressEvent( QMouseEvent* e );
	void resizeEvent( QResizeEvent* e );

signals:
	void Clicked( CraftButton* b );
};
